<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>General anonymization test</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!--    <link rel="stylesheet" type="text/css" href="{{static_url_path}}/style-vis.css"/>-->
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', path='/style-vis.css') }}"/>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', path='/my-styles.css') }}"/>
    <!--    <script type="text/javascript" src="{{static_url_path}}/js/head.load.min.js"></script>-->
    <script type="text/javascript" src="{{ url_for('static', path='js/head.load.min.js') }}"></script>
    <link rel="icon"
          type="image/png"
          href="https://www.vicomtech.org/dist/img/favicon/favicon-32x32.png">
</head>
<body style="background-color: #f9fdfe;">

<div class="container-fluid">

    <!--    <div class="jumbotron" style="padding-top: 1em; padding-bottom: 1em; background-color: #00a7c4; color:white">-->
    <div class="jumbotron" style="padding-top: 1em; padding-bottom: 1em; margin-bottom: 0.5em; background-color: transparent">
        <div class="container-fluid">
            <div class="row justify-content-md-center">
                <div class="col-md-2">
                    <!--                    <h4 class="display-4">MAPA TEST</h4>-->
                    <img src="{{ url_for('static', path='/images/mapa-logo.png') }}" alt="MAPA Anonymisation" class="img-fluid">
                </div>
                <div class="col-md-8">

                    <p><small>{{detected_classes|safe}}</small></p>
                </div>

            </div>
        </div>


    </div>
    <div class="row justify-content-md-center">
        <div class="col-md-10">
            <h5 style="color: #2e96e7">Enter or paste a text:</h5>
            <form action="{{url_for('mapa_showcase_analysis')}}" method="POST">
                <div class="form-group" style="padding-top: 0;">
                            <textarea style="font-size:small; border-color: #2e96e7"
                                      placeholder="Enter a piece of text here and select the most suitable model to process it..."
                                      class="form-control" id="text"
                                      rows="5"
                                      name="text">{{input_text}}</textarea>
                </div>

                <div class="form-row justify-content-md-center">

                    <div class="form-group col-md-8 form-inline">
                        <label for="model_label" style="color: #2e96e7">Available models:&nbsp;&nbsp;</label>
                        <select id="model_label" name="model_label" class="form-control" style="min-width: 200px; border-color: #2e96e7">
                            <!--                            <option value="" selected>Choose...</option>-->
                            <!--                            <option value="XXXX">xxxx</option>-->
                            <!--                            <option value="ZZZZ">zzzz</option>-->
                            {% for model in available_models %}
                            <OPTION value="{{model.model_label}}" {%if model.model_label==selected_model or (selected_model is none and
                                    model.is_default) %}selected{% endif %}>
                                {{model.model_label}}
                            </option>
                            {% endfor %}
                        </select>
                        <!--                        <div class="form-check form-check-inline" style="margin-left: 4em">-->
                        <!--                            <input type="checkbox" class="form-check-input" id="obfuscate_output" name="obfuscate_output" {{obfuscate_output}}-->
                        <!--                                   style="border: 2px solid #2e96e7;cursor: pointer;">-->
                        <!--                            <label class="form-check-label" for="obfuscate_output" style="color: #2e96e7">Obfuscate output</label>-->
                        <!--                        </div>-->
                        <!--                        <div class="form-check form-check-inline" style="margin-left: 4em">-->
                        <!--                            <input type="checkbox" class="form-check-input" id="replace_entities" name="replace_entities" {{replace_entities}}-->
                        <!--                                   style="border: 2px solid #2e96e7;cursor: pointer;">-->
                        <!--                            <label class="form-check-label" for="replace_entities" style="color: #2e96e7">Replace entities</label>-->
                        <!--                        </div>-->
                        <div class="custom-control custom-radio custom-control-inline" style="margin-left: 4em">
                            <input type="radio" id="customRadioInline0" name="anon_op" class="custom-control-input" value="noop"
                            {%if not obfuscate_output and not replace_entities %}checked{% endif %}>


                            <label class="custom-control-label" for="customRadioInline0">Detect entities</label>
                        </div>
                        <div class="custom-control custom-radio custom-control-inline">
                            <input type="radio" id="customRadioInline1" name="anon_op" class="custom-control-input" value="obfuscate"
                            {{obfuscate_output}}>


                            <label class="custom-control-label" for="customRadioInline1"
                            data-toggle="tooltip" data-placement="top" title="Which entities get obfuscated depends on the current configuration"
                            >Obfuscate entities</label>
                        </div>
                        <div class="custom-control custom-radio custom-control-inline">
                            <input type="radio" id="customRadioInline2" name="anon_op" class="custom-control-input" value="replace"
                            {{replace_entities}}>


                            <label class="custom-control-label" for="customRadioInline2"
                            data-toggle="tooltip" data-placement="top" title="Which entities get replaced depends on the current configuration"
                            >Replace entities</label>
                        </div>

                    </div>

                    <!--                </div>-->


                    <div class="form-group col-md-auto">
                        <input class="btn btn-primary btn-lg"
                               style="background-color: #fff; border-color: #2e96e7; color:#2e96e7 " type="submit" value="Run it!"></div>
                </div>

            </form>
        </div>



    </div>

    <div class="row justify-content-md-center">
        <div class="col-md-10">
            <!--            {% if docData %}-->
<!--            <hr style="border-color: #2e96e7;margin-top: 0.25em;margin-bottom: 0.25em">-->
            <!--                        {% if analysis_info %}-->

                        <div class="alert alert-info" role="alert" style="padding: .0rem 1.25rem;margin-bottom: 0.25em;
                        background-color: #ffffff;color: #3985bd; border-color: #2e96e7">
                            A total of <strong>{{analysis_info.num_tokens}} tokens </strong> processed in
                            <strong>{{'%0.2f' % analysis_info.elapsed_time|float}} seconds </strong> using
                            <strong>{{analysis_info.used_device}}</strong>
                        </div>
<!--                        {% endif %}-->
<!--            <div class="card">-->

<!--                <div class="card-body" id="result" style="max-height: 250px; overflow-y: auto;overflow-x: auto">-->
                <div id="result" style="max-height: 250px; overflow-y: auto;overflow-x: auto; padding-right: 1.25em;border: 1px solid #2e96e7;">


<!--                </div>-->

            </div>
            <!--            {% endif %}-->
        </div>

    </div>

</div>

<script>
    // Init bootstrap tooltips
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
    /////////

    var bratLocation = '';
    head.js(
        // External libraries
        bratLocation + "{{ url_for('static', path='/js/jquery.min.js') }}",
        bratLocation + "{{ url_for('static', path='/js/jquery.svg.min.js') }}",
        bratLocation + "{{ url_for('static', path='/js/jquery.svgdom.min.js') }}",


        // brat helper modules
        bratLocation + "{{ url_for('static', path='/js/configuration.js') }}",
        bratLocation + "{{ url_for('static', path='/js/util.js') }}",
        bratLocation + "{{ url_for('static', path='/js/annotation_log.js') }}",
        bratLocation + "{{ url_for('static', path='/js/webfont.js') }}",
        // brat modules
        bratLocation + "{{ url_for('static', path='/js/dispatcher.js') }}",
        bratLocation + "{{ url_for('static', path='/js/url_monitor.js') }}",
        bratLocation + "{{ url_for('static', path='/js/visualizer.js') }}",
    );

    var webFontURLs = [
        // bratLocation + '/static/fonts/Astloch-Bold.ttf',
        // bratLocation + '/static/fonts/PT_Sans-Caption-Web-Regular.ttf',
        // bratLocation + '/static/fonts/Liberation_Sans-Regular.ttf'
        'https://fonts.googleapis.com/css2?family=Astloch:wght@700&display=swap',
        'https://fonts.googleapis.com/css2?family=PT+Sans&display=swap',
        'https://fonts.googleapis.com/css2?family=Astloch:wght@700&family=Open+Sans:wght@300&display=swap'


    ];

    //{% if docData %}
    collData = {{collData | tojson}}
    docData = {{docData | tojson}}
    //{% else %}
    collData = ''
    docData = ''
    //{% endif %}
    head.ready(function () {
        Util.embed(
            // id of the div element where brat should embed the visualisations
            'result',
            // object containing collection data
            collData,
            // object containing document data
            docData,
            // Array containing locations of the visualisation fonts
            webFontURLs
        );
    });


</script>

</body>
</html>